Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

admincheck.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: admincheck.php 6484 2001-08-17 13:36:01Z jhe $
5 //
6 // Created on: <26-Oct-2000 15:11:17 ce>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // include_once( "ezuser/classes/ezuser.php" );
28 // include_once( "classes/ezhttptool.php" );
29
30 // $user = new eZUser();
31 // $user = $user->currentUser();
32
33 $user =& eZUser::currentUser();
34
35 if ( $user == false )
36 {
37 eZHTTPTool::header( "Location: /user/login" );
38 exit();
39 }
40
41 if ( !eZPermission::checkPermission( $user, "eZUser", "AdminLogin" ) )
42 {
43 eZUser::logout( $user );
44 eZHTTPTool::header( "Location: /user/login" );
45 exit();
46 }
47
48 ?>
$user
$user
Definition: admincheck.php:33
eZHTTPTool\header
static header( $string)
Definition: ezhttptool.php:96
eZPermission\checkPermission
static checkPermission( $user, $moduleName, $permissionName)
Definition: ezpermission.php:430
eZUser\logout
static logout()
Definition: ezuser.php:876
eZUser\currentUser
static & currentUser()
Definition: ezuser.php:896
exit
exit
Definition: folder.php:81
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.